Skip to main content
`Ctrl`+`K`

# PetscSortReal

Sorts an array of `PetscReal` in place in increasing order.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortReal(PetscCount n, PetscReal v[])

Not Collective

## Input Parameters

- n - number of values

- v - array of doubles

## Note

This function serves as an alternative to `PetscRealSortSemiOrdered()`, and may perform faster especially if the array is completely random. There are exceptions to this and so it is highly recommended that the user benchmark their code to see which routine is fastest.

## See Also

`PetscRealSortSemiOrdered()`, `PetscSortInt()`, `PetscSortRealWithPermutation()`, `PetscSortRealWithArrayInt()`

## Level

intermediate

## Location

src/sys/utils/sortd.c

## Examples

src/ts/tutorials/ex30.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages